<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
    title="@string/settings" >

    <!--
    <PreferenceCategory android:title="browser_options">
    <CheckBoxPreference
            android:defaultValue="false"
            android:key="useContentList"
            android:persistent="true"
            android:summary=""
            android:enabled="false"
            android:title="@string/setting_use_content_list" >
        </CheckBoxPreference>

        <EditTextPreference
            android:key="contentListUri"
            android:persistent="true"
            android:title="@string/browser_content_list_uri" />
    </PreferenceCategory>

    -->
    <PreferenceCategory android:title="@string/playback_options" >
        <CheckBoxPreference
            android:defaultValue="true"
            android:key="enableInternalSubtitleRendering"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_int_sub_rendering" >
        </CheckBoxPreference>
        <ListPreference
            android:defaultValue="@string/default_value"
            android:entries="@array/pref_sub_colors"
            android:entryValues="@array/pref_sub_colors"
            android:key="textSubtitlesColor"
            android:title="@string/prefTextSubtitlesColor">
        </ListPreference>
        <CheckBoxPreference
            android:defaultValue="false"
            android:key="autoLoop"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_loop_mode" >
        </CheckBoxPreference>
        <CheckBoxPreference
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:defaultValue="false"
            android:key="forceEventPlayList"
            android:persistent="true"
            android:summary=""
            android:title="@string/setting_Force_Event_Playlist"></CheckBoxPreference>
        <CheckBoxPreference
            android:defaultValue="true"
            android:key="enableLiveSeeking"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_Live_Seeking" >
        </CheckBoxPreference>
        <CheckBoxPreference
            android:defaultValue="true"
            android:key="enableScrubbing"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_Scrubbing" >
        </CheckBoxPreference>
        <CheckBoxPreference
            android:defaultValue="false"
            android:key="disableMaxPlayableHeight"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_MaxPlayableHeight" >
        </CheckBoxPreference>
        <CheckBoxPreference
            android:defaultValue="false"
            android:key="enablePlayerInfo"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_show_player_info" >
        </CheckBoxPreference>
        <CheckBoxPreference
            android:defaultValue="true"
            android:key="surfaceSecure"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_surface_secure" >
        </CheckBoxPreference>
        <ListPreference
            android:defaultValue="Default"
            android:entries="@array/abr_sensitivity"
            android:entryValues="@array/abr_sensitivity"
            android:key="enableAbrSensitivity"
            android:title="@string/settings_abr_sensitivity" >
        </ListPreference>

        <ListPreference
            android:defaultValue="1 min"
            android:entries="@array/dl_start_delays"
            android:entryValues="@array/dl_start_delays"
            android:key="DlStartDelay"
            android:title="@string/dl_start_delay" >
        </ListPreference>

        <CheckBoxPreference
            android:defaultValue="false"
            android:key="enableFaasOffline"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_faas_offline" >
        </CheckBoxPreference>

        <ListPreference
            android:defaultValue="DEFAULT"
            android:entries="@array/codec_types"
            android:entryValues="@array/codec_types"
            android:key="setCodecType"
            android:title="@string/settings_codec_type" >
        </ListPreference>
        <CheckBoxPreference
            android:defaultValue="false"
            android:key="enablePlatformAudioDecoding"
            android:persistent="true"
            android:summary=""
            android:title="Enable platform audio decoding" >
        </CheckBoxPreference>
        <CheckBoxPreference
            android:defaultValue="false"
            android:key="setAdSeekToAllowed"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_set_ad_seek_to_allowed" >
        </CheckBoxPreference>
        <CheckBoxPreference
            android:defaultValue="false"
            android:key="enableABRGraph"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_arb_graph" >
        </CheckBoxPreference>
        <ListPreference
            android:defaultValue="@string/default_value"
            android:entries="@array/pref_ip_resolutions"
            android:entryValues="@array/pref_ip_resolutions"
            android:key="setIPResolveType"
            android:title="@string/prefIPResolution">
        </ListPreference>
        <CheckBoxPreference
            android:defaultValue="false"
            android:key="enableTemporaryRedirectAsPermanent"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_force_temp_redirect_as_permanent" >
        </CheckBoxPreference>
    </PreferenceCategory>
    <PreferenceCategory android:title="@string/settings_proxy" >
        <ListPreference
            android:defaultValue="No proxy"
            android:entries="@array/proxy_types"
            android:entryValues="@array/proxy_types"
            android:key="proxyType"
            android:title="@string/settings_proxy" >
        </ListPreference>

        <EditTextPreference
            android:defaultValue=""
            android:inputType="textUri"
            android:key="proxyURL"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_proxy_url" >
        </EditTextPreference>
        <EditTextPreference
            android:defaultValue="0"
            android:inputType="number"
            android:key="proxyPort"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_proxy_port" >
        </EditTextPreference>
    </PreferenceCategory>

     <PreferenceCategory android:title="@string/settings_typical_bitrate" >
        <EditTextPreference
            android:defaultValue="2048"
            android:inputType="number"
            android:key="typicalBitrate"
            android:persistent="true"
            android:summary=""
            android:title="Typical Bitrate" >
        </EditTextPreference>
    </PreferenceCategory>

    <PreferenceCategory android:title="@string/settings_360_configuration" >
        <EditTextPreference
            android:defaultValue="70"
            android:inputType="number"
            android:key="flat360Zoom"
            android:persistent="true"
            android:summary=""
            android:title="@string/settings_360_zoom" >
        </EditTextPreference>
        <ListPreference
            android:title="@string/settings_360_ratio"
            android:summary=""
            android:key="flat360Ratio"
            android:defaultValue="16/9"
            android:entries="@array/ratio360Values"
            android:entryValues="@array/ratio360Values" />
    </PreferenceCategory>

</PreferenceScreen>
